TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

RootsNonExact ( elt-alg^pol/fld^com f ) -> seq(), seq()

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 2

### Description

<shortdoc> Given a univariate polynomial f over a real or complex field, return a sequence [u_1, ... , u_n] (n = deg(f)) such that |f - a(x-u_1)...(x-u_n)| < 10^(-prec) (where a is the leading coefficient of f). If possible, also return sequence [e_1, ..., e_n] such that if p = a(x-v_1)...(x-v_n) and |f - p| < 10^(-prec), then |u_i - v_i| < e_i.. </shortdoc>

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack